libzypp: zyppng::ProgressObserverAdaptor Struct Reference

libzypp 17.38.7

zyppng::ProgressObserverAdaptor Struct Reference

`#include <zypp/ng/progressobserveradaptor.h>`

## Public Member Functions
| ProgressObserverAdaptor (zypp::callback::SendReport< zypp::ProgressReport > &report)
| ProgressObserverAdaptor (const zypp::ProgressData::ReceiverFnc &fnc, zypp::callback::SendReport< zypp::ProgressReport > &report)
ProgressObserverRef | observer ()

## Private Member Functions
void | init ()
bool | update (bool fin=false)

## Private Attributes
ProgressObserverRef | _observer
zypp::ProgressData::ReceiverFnc | _fnc
zypp::callback::SendReport< zypp::ProgressReport > & | _report
bool | _first = true

## Detailed Description

Definition at line 16 of file progressobserveradaptor.h.

## Constructor & Destructor Documentation

## ◆ ProgressObserverAdaptor() [1/2]

zyppng::ProgressObserverAdaptor::ProgressObserverAdaptor | ( | zypp::callback::SendReport< zypp::ProgressReport > & | report | ) |

Definition at line 31 of file progressobserveradaptor.cc.

## ◆ ProgressObserverAdaptor() [2/2]

zyppng::ProgressObserverAdaptor::ProgressObserverAdaptor | ( | const zypp::ProgressData::ReceiverFnc & | fnc,
|  | zypp::callback::SendReport< zypp::ProgressReport > & | report )

Definition at line 37 of file progressobserveradaptor.cc.

## Member Function Documentation

## ◆ observer()

ProgressObserverRef zyppng::ProgressObserverAdaptor::observer | ( |  | ) |

Definition at line 44 of file progressobserveradaptor.cc.

## ◆ init()

void zyppng::ProgressObserverAdaptor::init | ( |  | ) |
| private

Definition at line 14 of file progressobserveradaptor.cc.

## ◆ update()

bool zyppng::ProgressObserverAdaptor::update | ( | bool | fin = false | ) |
| private

Definition at line 45 of file progressobserveradaptor.cc.

## Member Data Documentation

## ◆ _observer

ProgressObserverRef zyppng::ProgressObserverAdaptor::_observer
| private

Definition at line 29 of file progressobserveradaptor.h.

## ◆ _fnc

zypp::ProgressData::ReceiverFnc zyppng::ProgressObserverAdaptor::_fnc
| private

Definition at line 30 of file progressobserveradaptor.h.

## ◆ _report

zypp::callback::SendReport<zypp::ProgressReport>& zyppng::ProgressObserverAdaptor::_report
| private

Definition at line 31 of file progressobserveradaptor.h.

## ◆ _first

bool zyppng::ProgressObserverAdaptor::_first = true
| private

Definition at line 32 of file progressobserveradaptor.h.

The documentation for this struct was generated from the following files:

- zypp/ng/progressobserveradaptor.h
- zypp/ng/progressobserveradaptor.cc